[Forgot Password]
Login  Register Subscribe

23631

 
 

127000

 
 

102010

 
 

909

 
 

81059

 
 

123

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML view JSON

CVE-2007-1995Date: (C)2007-04-12   (M)2018-02-19


bgpd/bgp_attr.c in Quagga 0.98.6 and earlier, and 0.99.6 and earlier 0.99 versions, does not validate length values in the MP_REACH_NLRI and MP_UNREACH_NLRI attributes, which allows remote attackers to cause a denial of service (daemon crash or exit) via crafted UPDATE messages that trigger an assertion error or out of bounds read.

CVSS V3 Severity:CVSS V2 Severity:
CVSS Score  : CVSS Score  : 6.3
Exploit Score: Exploit Score: 6.8
Impact Score : Impact Score : 6.9
 
CVSS V3 Metrics:CVSS V2 Metrics:
Attack Vector: Access Vector: NETWORK
Attack Complexity: Access Complexity: MEDIUM
Privileges Required: Authentication: SINGLE_INSTANCE
User Interaction: Confidentiality: NONE
Scope: Integrity: NONE
Confidentiality: Availability: COMPLETE
Integrity:  
Availability:  
  





Reference:
SECTRACK-1018142
2007-0017
BID-23417
SUNALERT-236141
SECUNIA-24808
SECUNIA-25084
SECUNIA-25119
SECUNIA-25255
SECUNIA-25293
SECUNIA-25312
SECUNIA-25428
SECUNIA-29743
ADV-2007-1336
ADV-2008-1195
DSA-1293
GLSA-200705-05
MDKSA-2007:096
OpenPKG-SA-2007.015
RHSA-2007:0389
SUSE-SR:2007:009
USN-461-1
http://bugzilla.quagga.net/show_bug.cgi?id=354
http://bugzilla.quagga.net/show_bug.cgi?id=355
http://www.quagga.net/news2.php?y=2007&m=4&d=8#id1176073740
quagga-bgpattributes-dos(33547)

CPE    20
cpe:/a:quagga:quagga:0.98.6
cpe:/a:quagga:quagga:0.98.5
cpe:/a:quagga:quagga:0.97.5
cpe:/a:quagga:quagga:0.98.4
...
CWE    1
CWE-20

© 2013 SecPod Technologies